Index: mshr/src/make_multicomponent_mesh_3.h
===================================================================
--- mshr.orig/src/make_multicomponent_mesh_3.h
+++ mshr/src/make_multicomponent_mesh_3.h
@@ -37,11 +37,11 @@ void make_multicomponent_mesh_3_impl(C3T
   //std::cout << "Number of vertices initially: " << c3t3.triangulation().number_of_vertices() << std::endl;
 
   // Initialize c3t3 with points from the special features
-  CGAL::internal::Mesh_3::C3t3_initializer< 
+  CGAL::Mesh_3::internal::C3t3_initializer< 
     C3T3,
     MeshDomain,
     MeshCriteria,
-    CGAL::internal::Mesh_3::has_Has_features<MeshDomain>::value > () (c3t3,
+    CGAL::Mesh_3::internal::has_Has_features<MeshDomain>::value > () (c3t3,
                                                                       domain,
                                                                       criteria,
                                                                       with_features);
@@ -49,7 +49,7 @@ void make_multicomponent_mesh_3_impl(C3T
   // std::cout << "Number of vertices after features: " << c3t3.triangulation().number_of_vertices() << std::endl;
   
   // Inserts points from all connected components to the mesh
-  CGAL::internal::Mesh_3::init_c3t3(c3t3, domain, criteria, 0);
+  CGAL::Mesh_3::internal::init_c3t3(c3t3, domain, criteria, 0);
   // std::cout << "Number of vertices before meshing: " << c3t3.triangulation().number_of_vertices() << std::endl;
   
   // Build mesher and launch refinement process
